KILLALL(1)

NAME
killall - kill processes by name

SYNOPSIS
killall [-e,--exact] [-g,--process-group] [-i,--interactive] [-q,--quiet] [-v,--verbose] [-w,--wait] [-V,--version] [-s,--signal signal] [--] name ...
killall -l
killall -V,--version

DESCRIPTION
killall sends a signal to all processes running any of the specified commands. If no signal name is specified, SIGTERM is sent.

Signals can be specified either by name (e.g. -HUP) or by number (e.g. -1).

If the command name contains a slash (/), processes executing that particular file will be selected for killing, independent of their name.

killall returns a non-zero return code if no process has been killed for any of the listed commands. If at least one process has been killed for each command, killall returns zero.

A killall process never kills itself (but may kill other killall processes).

OPTIONS

-e, --exact
    Require an exact match for very long names. If a command name is longer than 15 characters, the full name may be unavailable (i.e. it is swapped out). In this case, killall will kill everything that matches within the first 15 characters. With -e, such entries are skipped. killall prints a message for each skipped entry if -v is specified in addition to -e,

-g, --process-group
    Kill the process group to which the process belongs. The kill signal is only sent once per group, even if multiple processes belonging to the same process group were found.

-i, --interactive
    Interactively ask for confirmation before killing.

-l, --list
    List all known signal names.

-q, --quiet
    Do not complain if no processes were killed.

-v, --verbose
    Report if the signal was successfully sent.

-V, --version
    Display version information.

-w, --wait
    Wait for all killed processes to die. killall checks once per second if any of the killed processes still exist and only returns if none are left. Note that killall may wait forever if the signal was ignored, had no effect, or if the process stays in zombie state.

FILES
/proc	location of the proc file system

KNOWN BUGS
Killing by file only works for executables that are kept open during execution, i.e. impure executables can't be killed this way.

Be warned that typing killall name may not have the desired effect on non-Linux systems, especially when done by a privileged user.

killall -w doesn't detect if a process disappears and is replaced by a new process with the same PID between scans.

AUTHORS
Werner Almesberger <Werner.Almesberger@epfl.ch> wrote the original version of psmisc. Since version 20 Craig Small <csmall@small.dropbear.id.au> can be blamed.

SEE ALSO
kill(1), fuser(1), pgrep(1), pidof(1), ps(1), kill(2)